Subject: Re: bug#5447: closed by Eli Zaretskii <[email-masked]> (Re: bug#5447: 23.1.91; load-file fails for C:/the-file.el.gz)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Jan 2010 10:13:02 +0200

> From: Michael Albinus <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>, [email-masked]
> Date: Fri, 22 Jan 2010 22:37:24 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Michael, how hard would it be to special-case "\`[a-z]:/" on Windows so
> > that matching files are never considered to be ``remote files''?
> 
> IIRC, there was the case that "/method:host:" was expanded to
> "C:/method:host:" by I-dont-know-which-package. Exactly because of this
> problem we have the `tramp-drop-volume-letter' function.

We could do that nevertheless, and wait for someone to holler,
couldn't we?  I think punishing 95% of innocent users for the benefit
of maybe 5% is wrong anyway, and some different solution should be
found.  I agree that we cannot find a better solution until we know
the use-case.  But leaving this code intact will never get us to that
point.